// =================================
// BATTLEZONE CLASSIC SHELL - Warn Locked
// Made by General BlackDragon
// =================================

CreateControl("MultiWarningWebShield", "STATIC")
{
	Geometry("HCENTRE", "VCENTRE");
	ColorGroup("WHITE");
	Style("MODAL");
	Size(236, 300);
	Image("recdes.tga", 0, 0, 472, 600);

	CreateControl("Name1Title", "STATIC")
	{
		ColorGroup("LISTBOX");
		Geometry("LEFT", "TOP");
		Position(0, 5);
		Size(236, 10);
		Font("SMALL");
		Text("No Games Found");
		JustifyText("CENTER");
		Style("TRANSPARENT");
	}

	//
	// create the text display
	//
	CreateControl("Text", "LISTBOX")
	{
		Geom("HCENTRE", "VCENTRE");
		ColorGroup("LISTBOX");
		Pos(0, -5);
		Size(230, 240);
		CellSize(220, 12);
		BorderSize(0);
		BevelSize(0);
		SliderPadding(0);
		Font("SMALL");
		Style("INERT", "NOSELECTION"); //, "VSLIDER");
		ItemConfig()
		{
			Style("TRANSPARENT");
		}
		FillFromFile("bzshell_multi_warn_webshield.txt");
		UseSlider("<DupSlider");
	}

	CreateControl("ScrollBG", "STATIC")
	{
		ColorGroup("WHITE");
		Geometry("RIGHT", "BOTTOM");
		Position(-2, -35);
		Size(21, 38);
		Image("scrollbarBG.tga", 0, 0, 42, 76);
	}
	CreateControl("DupSlider", "LISTSLIDER")
	{
		ColorGroup("TRANSPARENT");
		Orientation("VERTICAL");
		Geometry("RIGHT", "BOTTOM");
		Position(-3, -37);
		Size(16, 32);
		SliderPadding(0);
		Style("ROLLOVER", "BUTTONS", "INERT");
	//	SliderIncImage("buttonscrdnd.tga", 0, 0, 16, 16);
	//	SliderDecImage("buttonscrupd.tga", 0, 0, 16, 16);
		Cursor("Highlight");
	}

	//
	// create the ok button
	//
	CreateControl("OK", "BUTTON")
	{
		ColorGroup("BZCBUTTON");
		Geometry("HCENTRE", "BOTTOM");
		Position(0, -2);
		Size(118, 29);
		Style("ROLLOVER");
		Cursor("Highlight");
		Image("ButtonSmL.tga", 0, 0, 118, 29);
		NotifyParent("Button::Press", "Okay");

		CreateControl("Text", "STATIC")
		{
			Geometry("LEFT", "TOP");
			Position(19, 9);
			Size(80, 12);
			ColorGroup("BZCBUTTON");
			Font("SMALL");
			Style("INERT");
			JustifyText("CENTER");
			Text("Ok");
		}
	}

	OnEvent("Control::Activate")
	{
		Cmd("network.session.listoff");
	}

	OnEvent("Control::Deactivate")
	{
		Cmd("network.session.liston");
	}

	// handle the ok event
	OnEvent("Okay")
	{
		Deactivate("|MultiWarningWebShield");
	}
}
